## org.eclipse.datatools.modelbase.sql.query
Interface ColumnName

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface ColumnName

extends SQLQueryObject

A representation of the model object 'SQL Column Name'.

The following features are supported:

- `Table Correlation`
- `With Table Specification`

See Also:
  `SQLQueryModelPackage.getColumnName()`

Method Summary
`TableCorrelation` `getTableCorrelation()` Returns the value of the 'Table Correlation' container reference.
`WithTableSpecification` `getWithTableSpecification()` Returns the value of the 'With Table Specification' container reference.
`void` `setTableCorrelation(TableCorrelation value)` Sets the value of the '`Table Correlation`' container reference.
`void` `setWithTableSpecification(WithTableSpecification value)` Sets the value of the '`With Table Specification`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTableCorrelation

    TableCorrelation getTableCorrelation()

  Returns the value of the 'Table Correlation' container reference. It is bidirectional and its opposite is '`Column Name List`'.

  If the meaning of the 'Table Correlation' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Correlation' container reference.
  See Also:
    `setTableCorrelation(TableCorrelation)`, `SQLQueryModelPackage.getColumnName_TableCorrelation()`, `TableCorrelation.getColumnNameList()`

### setTableCorrelation

    void setTableCorrelation(TableCorrelation value)

  Sets the value of the '`Table Correlation`' container reference.

  Parameters:
    `value` - the new value of the 'Table Correlation' container reference.
  See Also:
    `getTableCorrelation()`

### getWithTableSpecification

    WithTableSpecification getWithTableSpecification()

  Returns the value of the 'With Table Specification' container reference. It is bidirectional and its opposite is '`Column Name List`'.

  If the meaning of the 'With Table Specification' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'With Table Specification' container reference.
  See Also:
    `setWithTableSpecification(WithTableSpecification)`, `SQLQueryModelPackage.getColumnName_WithTableSpecification()`, `WithTableSpecification.getColumnNameList()`

### setWithTableSpecification

    void setWithTableSpecification(WithTableSpecification value)

  Sets the value of the '`With Table Specification`' container reference.

  Parameters:
    `value` - the new value of the 'With Table Specification' container reference.
  See Also:
    `getWithTableSpecification()`